Skip to main content
POST
/
api
/
files
/
v1
/
filesets
/
{fileSetId}
/
files
curl --request POST \
  --url https://{subdomain}.domo.com/api/files/v1/filesets/{fileSetId}/files \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-DOMO-Developer-Token: <api-key>'
{
  "id": "22e1514a-354b-470f-bc32-c354812738f2",
  "path": "sample/directory/path",
  "name": "path",
  "size": null,
  "created": "2025-07-28T21:49:34.503Z",
  "createdBy": 27,
  "fileType": "DIRECTORY"
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-openapi-sync-documents.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Path Parameters

fileSetId
string
required

The ID of the FileSet in which to create the File.

Body

multipart/form-data

Represents a request to upload a file or create a directory.

file
file

The file to be uploaded. Leave null if creating a directory.

directoryPath
string

The directory path of the uploaded file, or the path of the created directory if no file is provided. Defaults to an empty string, i.e., the root directory, if not specified. Note: An empty string is not valid when intentionally creating a directory.

Response

Directory already created

Metadata for a directory within a file set.

id
string
path
string
name
string
size
integer
created
string<date-time>
createdBy
integer<int64>
fileType
enum<string>
Available options:
AUDIO,
VIDEO,
IMAGE,
TEXT,
DOCUMENT,
DIRECTORY,
OTHER,
UNKNOWN